%define	emacsver	21.3
%define xemacsver	21.4
%define	e_sitedir	/usr/share/emacs/site-lisp
%define	xe_sitedir	/usr/lib/xemacs/site-lisp
%define	sitepdir	/usr/lib/xemacs/site-packages

Summary: elisp-mpg123 - a front-end to mpg123 and OggVorbis audio player
Name: elisp-mpg123
Version: 1.33
Release: 3m
License: GPL
Group: Applications/Editors
Source: mpg123-pkg.tar.gz
Source1: http://www.gentei.org/~yuuji/software/mpg123el/mpg123.el
Source2: http://www.gentei.org/~yuuji/software/mpg123el/id3.el
Source3: http://www.gentei.org/~yuuji/software/mpg123el/id3el-0.05.tar.gz
Source4: http://www.gentei.org/~yuuji/software/mpg123el/tagput/tagput.c
Patch0: mpg123.el-autoload.patch
Patch1: tagput.c-misc.patch
URL: http://www.gentei.org/~yuuji/software/mpg123el/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildPreReq: apel-xemacs, apel-emacs
Requires: emacsen, mpg321

%description
The mpg123.el Emacs-Lisp program is a
front-end to mpg123 audio player and
OggVorbis audio player. You can select and
play an mp3 files from the list in your
Emacs's buffer with familiar interface.

%package -n mpg123-emacs
Summary: elisp-mpg123 - a front-end to mpg123 and OggVorbis audio player
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description -n mpg123-emacs
The mpg123.el Emacs-Lisp program is a
front-end to mpg123 audio player and
OggVorbis audio player. You can select and
play an mp3 files from the list in your
Emacs's buffer with familiar interface.

%package -n mpg123-xemacs
Summary: elisp-mpg123 - a front-end to mpg123 and OggVorbis audio player
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}, xemacs-sumo

%description -n mpg123-xemacs
The mpg123.el Emacs-Lisp program is a
front-end to mpg123 audio player and
OggVorbis audio player. You can select and
play an mp3 files from the list in your
Emacs's buffer with familiar interface.

%prep
%setup -q -a 3 -n mpg123-pkg
cp %SOURCE1 .
cp %SOURCE2 .
cp %SOURCE4 .
%patch0 -b .autoload
%patch1 -b .misc
rm -rf %{buildroot}

%build
pushd id3el-0.05
make CFLAGS="%{optflags}"
popd

make EMACS=emacs \
	PREFIX=%{buildroot}%{_prefix} \
	LISPDIR=%{buildroot}%{e_sitedir} \
	VERSION_SPECIFIC_LISPDIR=%{buildroot}%{_datadir}/emacs/%{emacsver}/site-lisp
make EMACS=emacs \
	PREFIX=%{buildroot}%{_prefix} \
	LISPDIR=%{buildroot}%{e_sitedir} \
	VERSION_SPECIFIC_LISPDIR=%{buildroot}%{_datadir}/emacs/%{emacsver}/site-lisp \
	install

make clean

make XEMACS=xemacs package
make XEMACS=xemacs PACKAGEDIR=%{buildroot}%{sitepdir} install-package

make CFLAGS="%{optflags}" tagput

%install
%__mkdir_p %{buildroot}%{_bindir}
%__install id3el-0.05/id3put %{buildroot}%{_bindir}/
%__install tagput %{buildroot}%{_bindir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%doc id3el-0.05/README

%files -n mpg123-emacs
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/mpg123

%files -n mpg123-xemacs
%defattr(-,root,root)
%{_libdir}/xemacs/site-packages/lisp/mpg123

%changelog
* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.33-3m)
- rebuild against emacs-21.3
- use %%_prefix %%_datadir macro

* Mon Jan 13 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.33-2m)
- rebuild against elisp-apel-10.4-1m

* Sat Sep 28 2002 Junichiro Kita <kita@momonga-linux.org>
- (1.33-1m)
- update to 1.33
- add tagput for editing ogg tags
- NoSource yame!

* Mon Sep 23 2002 Junichiro Kita <kita@momonga-linux.org>
- (1.31-5m)
- kanji no id3 tag mo OK yo.

* Mon Sep 23 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.31-4m)
- noarch ha dame yo.

* Mon Sep 23 2002 OGAWA Youhei <t-nyan2@nifty.com>
- (1.31-3m)
- append Requires field, mpg321 package

* Mon Sep 23 2002 Junichiro Kita <kita@momonga-linux.org>
- (1.31-2m)
- append id3.el and id3put

* Mon Sep 23 2002 Junichiro Kita <kita@momonga-linux.org>
- (1.31-1m)
- initial revision
